Secrets of Toanium - Bug #123

Deck Owner doesn't get assignhed on loading
07/16/2021 09:55 PM - Jay Gischer

Status: Closed Start date: 07/16/2021
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The Cryptophon deck gets loaded without its owner (the class Titanian Saboteur) being set. This means it isn't available for selection
when a TS tries to start an instance.

History

#1 - 07/16/2021 09:57 PM - Jay Gischer

- Status changed from New to Resolved

This turned out to be due to issues in loading order. The load of Crypotophon launched before the load of Titanian Saboteur completed. Thus when
the software tried to link them up, there was no class with the name "Titanian Saboteur" to link to, even though it would eventually be created.

The solution was to load all modules serially, and in an order that takes note of dependencies like this. For the moment, that means Classes before
Decks.

#2 - 07/21/2021 07:48 PM - Jay Gischer

- Status changed from Resolved to Closed

Fix pushed in 0.15.0
